Migrate PHP5.5 jobs from Trusty to Jessie
Closed, ResolvedPublic

Description

We have jobs on Trusty that requires Zend 5.5. They should migrate to Jessie once 5.5 is available (T144959).

  • 5.5 port to Jessie

Based on the official Debian repositories.

Source pkgChangeSubject
php-defaultshttps://gerrit.wikimedia.org/r/#/c/374766/Rebuild for Jessie + PHP 5.5
phphttps://gerrit.wikimedia.org/r/#/c/374782/jessie: tweak build dependencies
  • Publish Debian packages to apt.wikimedia.org
  • will be done with Moritz
  • jobrunner requires a php5.5-redis package

Jobs as of Sept 12 2017

$ grep -l assignedNode.*ci-trusty *php*
$
$ grep -l phpflavor-php55
labs-tools-ZppixBot-php55lint
mediawiki-core-php55lint
mwgate-php55lint
operations-mw-config-php55lint
php55lint
$
There are a very large number of changes, so older changes are hidden. Show Older Changes
hashar claimed this task.Aug 29 2017, 9:35 PM

Tests passed! So I guess I will check with Moritz how I can push the patches in Gerrit and how to publish the .deb on apt.wikimedia.org

Change 374782 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/debs/pkg-php/php@debian/jessie-wikimedia-5.5] [WMF] jessie: tweak build dependencies

https://gerrit.wikimedia.org/r/374782

Change 374805 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] contint: aptly server in labs

https://gerrit.wikimedia.org/r/374805

hashar added a comment.EditedAug 30 2017, 2:11 PM

I have setup https://wikitech.wikimedia.org/wiki/Aptly Aptly on aptly.integration.eqiad.wmflabs

Pointed integration-slave-jessie-php55 to it role::aptly::client which crafts an apt conf of:

deb [trusted=yes] http://aptly.integration.eqiad.wmflabs/repo jessie-integration php55

I have installed the php packages and mediawiki/core tests seems to pass just fine.

The packages are supposedly co installable with the Jessie stock PHP 5.6 and Sury PHP 7.0 we have.

The instance is attached to the WebProxy and the repository is thus publicly available via https://integration-aptly.wmflabs.org/repo/

Change 375767 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] dib: add php5.5 packages to jessie

https://gerrit.wikimedia.org/r/375767

Change 375767 merged by jenkins-bot:
[integration/config@master] dib: add php5.5 packages to jessie

https://gerrit.wikimedia.org/r/375767

Change 375794 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Create some php5.5 jobs on Jessie

https://gerrit.wikimedia.org/r/375794

Change 375794 merged by jenkins-bot:
[integration/config@master] Create some php5.5 jobs on Jessie

https://gerrit.wikimedia.org/r/375794

Change 375803 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] On Jessie use PHP_BIN=php5.5

https://gerrit.wikimedia.org/r/375803

Change 375803 merged by Hashar:
[integration/config@master] On Jessie use PHP_BIN=php5.5

https://gerrit.wikimedia.org/r/375803

Change 375838 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Switch some php5.5 jobs to jessie

https://gerrit.wikimedia.org/r/375838

Change 375838 merged by jenkins-bot:
[integration/config@master] Switch some php5.5 jobs to jessie

https://gerrit.wikimedia.org/r/375838

Change 375863 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Switch composer-test-package jobs to Jessie

https://gerrit.wikimedia.org/r/375863

Change 375863 merged by jenkins-bot:
[integration/config@master] Switch composer-test-package jobs to Jessie

https://gerrit.wikimedia.org/r/375863

hashar updated the task description. (Show Details)Sep 4 2017, 8:02 PM
hashar updated the task description. (Show Details)Sep 5 2017, 8:39 AM

Change 375992 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Switch MediaWiki core/vendor php5.5 to Jessie

https://gerrit.wikimedia.org/r/375992

Change 375992 merged by jenkins-bot:
[integration/config@master] Switch MediaWiki core/vendor php5.5 to Jessie

https://gerrit.wikimedia.org/r/375992

Mentioned in SAL (#wikimedia-operations) [2017-09-05T12:24:45Z] <hashar> ci: switched mediawiki/core mediawiki/vendor php5.5 jobs from trusty to jessie - T161882

Change 376009 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Migrate phpunit-coverage-publish to Jessie

https://gerrit.wikimedia.org/r/376009

Change 376009 merged by jenkins-bot:
[integration/config@master] Migrate phpunit-coverage-publish to Jessie

https://gerrit.wikimedia.org/r/376009

Change 376018 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Delete mwext-Wikibase-repo-tests-sqlite-php55-trusty

https://gerrit.wikimedia.org/r/376018

Change 376018 merged by jenkins-bot:
[integration/config@master] Delete mwext-Wikibase-repo-tests-sqlite-php55-trusty

https://gerrit.wikimedia.org/r/376018

Change 376233 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Migrate mwgate-composer-php55 from trusty to jessie

https://gerrit.wikimedia.org/r/376233

Change 376233 merged by jenkins-bot:
[integration/config@master] Migrate mwgate-composer-php55 from trusty to jessie

https://gerrit.wikimedia.org/r/376233

Change 376246 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Migrate composer-php55-trusty from trusty to jessie

https://gerrit.wikimedia.org/r/376246

Change 376246 merged by jenkins-bot:
[integration/config@master] Migrate composer-php55-trusty from trusty to jessie

https://gerrit.wikimedia.org/r/376246

Change 376255 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] mwext-testextension-php55-trusty-non-voting to Jessie

https://gerrit.wikimedia.org/r/376255

Change 376255 merged by jenkins-bot:
[integration/config@master] mwext-testextension-php55-trusty-non-voting to Jessie

https://gerrit.wikimedia.org/r/376255

Change 376496 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] dib: add php5.5-redis

https://gerrit.wikimedia.org/r/376496

Change 376496 merged by jenkins-bot:
[integration/config@master] dib: add php5.5-redis

https://gerrit.wikimedia.org/r/376496

Mentioned in SAL (#wikimedia-releng) [2017-09-07T11:58:47Z] <hashar> nodepool: updating snapshot-ci-jessie to add php5.5-redis | T161882 T174972

Change 376519 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Migrate jobrunner composer job to jessie

https://gerrit.wikimedia.org/r/376519

Change 376520 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Drop php55 composer jobs on trusty

https://gerrit.wikimedia.org/r/376520

Change 376519 merged by jenkins-bot:
[integration/config@master] Migrate jobrunner composer job to jessie

https://gerrit.wikimedia.org/r/376519

Change 376520 merged by jenkins-bot:
[integration/config@master] Drop php55 composer jobs on trusty

https://gerrit.wikimedia.org/r/376520

hashar added a comment.Sep 7 2017, 2:27 PM

mediawiki-extensions-php55-* goes twice faster on jessie since php5.5 there does not have xdebug :]

Tests: 14891, Assertions: 121204, Skipped: 117, Risky: 45.

trusty: Time: 6.61 minutes, Memory: 2166.50MB
jessie: Time: 3.84 minutes, Memory: 2126.25MB

Change 376524 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Migrate mediawiki-extensions-php55 to jessie

https://gerrit.wikimedia.org/r/376524

Change 376524 merged by jenkins-bot:
[integration/config@master] Migrate mediawiki-extensions-php55 to jessie

https://gerrit.wikimedia.org/r/376524

Legoktm added a subscriber: Legoktm.Sep 7 2017, 5:23 PM

Don't we need xdebug for phpunit coverage?

hashar added a comment.Sep 7 2017, 7:34 PM

Don't we need xdebug for phpunit coverage?

Yes Xdebug is needed for coverage. The idea would be to disable it by default and for the coverage jobs do php -d extensions=xdebug which would enable it. That will be T175028

hashar updated the task description. (Show Details)Sep 7 2017, 7:36 PM

Change 376578 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Non voting php5.5 job to jessie

https://gerrit.wikimedia.org/r/376578

Change 376578 merged by jenkins-bot:
[integration/config@master] Non voting php5.5 job to jessie

https://gerrit.wikimedia.org/r/376578

Change 376579 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] mwext-testextension-php55-composer to jessie

https://gerrit.wikimedia.org/r/376579

Change 376579 merged by jenkins-bot:
[integration/config@master] mwext-testextension-php55-composer to jessie

https://gerrit.wikimedia.org/r/376579

Change 376673 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] mwext-testextension-php55-composer to jessie

https://gerrit.wikimedia.org/r/376673

Change 376673 merged by jenkins-bot:
[integration/config@master] Some mwext-testextension-php55-composer to jessie

https://gerrit.wikimedia.org/r/376673

Change 376727 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] nodepool: reduce trusty pool by one

https://gerrit.wikimedia.org/r/376727

Change 376727 merged by Andrew Bogott:
[operations/puppet@production] nodepool: reduce trusty pool by one

https://gerrit.wikimedia.org/r/376727

Change 374782 merged by Muehlenhoff:
[operations/debs/pkg-php/php@debian/jessie-wikimedia-5.5] [WMF] jessie: tweak build dependencies

https://gerrit.wikimedia.org/r/374782

Change 377245 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] dib: add php5.5-luasandbox

https://gerrit.wikimedia.org/r/377245

Change 377245 merged by jenkins-bot:
[integration/config@master] dib: add php5.5-luasandbox

https://gerrit.wikimedia.org/r/377245

Change 374805 abandoned by Hashar:
contint: aptly server in labs

Reason:
We will instead use reprepo on apt.wikimedia.org

https://gerrit.wikimedia.org/r/374805

Mentioned in SAL (#wikimedia-releng) [2017-09-12T10:48:57Z] <hashar> nodepool: force updating jessie image to grab php5.5-luasandbox - T161882 T174972

Change 377448 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Migrate mwext-textextension-php55 to jessie

https://gerrit.wikimedia.org/r/377448

Change 377448 merged by jenkins-bot:
[integration/config@master] Migrate mwext-textextension-php55 to jessie

https://gerrit.wikimedia.org/r/377448

Change 377452 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] mwext-testextension-php55 to jessie

https://gerrit.wikimedia.org/r/377452

Change 377452 merged by jenkins-bot:
[integration/config@master] mwext-testextension-php55 to jessie

https://gerrit.wikimedia.org/r/377452

Change 377453 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Remove some trusty jobs

https://gerrit.wikimedia.org/r/377453

Change 377457 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] mwext-Wikibase-client-tests-mysql-php55 to Jessie

https://gerrit.wikimedia.org/r/377457

Change 377453 merged by jenkins-bot:
[integration/config@master] Remove some trusty jobs

https://gerrit.wikimedia.org/r/377453

Change 377457 merged by jenkins-bot:
[integration/config@master] mwext-Wikibase-client-tests-mysql-php55 to Jessie

https://gerrit.wikimedia.org/r/377457

We no more have any jobs on nodepool Trusty instances (label: ci-trusty-wikimedia) \o/

Change 377467 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Move some jobs from Trusty to Jessie

https://gerrit.wikimedia.org/r/377467

Mentioned in SAL (#wikimedia-releng) [2017-09-12T14:05:18Z] <hashar> Deleting integration-slave-trusty-1004 - T161882

Change 377467 merged by jenkins-bot:
[integration/config@master] Move some jobs from Trusty to Jessie

https://gerrit.wikimedia.org/r/377467

Change 377477 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Migrate composer-validate jobs to Jessie

https://gerrit.wikimedia.org/r/377477

Change 377477 merged by jenkins-bot:
[integration/config@master] Migrate composer-validate jobs to Jessie

https://gerrit.wikimedia.org/r/377477

Change 377478 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] integration-composer-check-php55 to Nodepool and Jessie

https://gerrit.wikimedia.org/r/377478

Change 377478 merged by jenkins-bot:
[integration/config@master] integration-composer-check-php55 to Nodepool and Jessie

https://gerrit.wikimedia.org/r/377478

Mentioned in SAL (#wikimedia-releng) [2017-09-12T14:46:39Z] <hashar> provisionning integration-slave-jessie-1003 and integration-slave-jessie-1004 to move php55lint to them. NOT READY YET - T161882

Still have to switch the jobs using the label phpflavor-php55

labs-tools-ZppixBot-php55lint
mediawiki-core-php55lint
mwgate-php55lint
operations-mw-config-php55lint
php55lint

hashar updated the task description. (Show Details)Sep 12 2017, 2:48 PM
Restricted Application added a subscriber: Zppix. · View Herald TranscriptSep 12 2017, 2:48 PM

Mentioned in SAL (#wikimedia-releng) [2017-09-12T14:57:47Z] <hashar> Deleted all left over jenkins jobs having ci-trusty-wikimedia label. - T161882

And I have deleted some left over jobs that had the ci-trusty-wikimedia label although they are not defined in JJB:

mediawiki-core-phpcs-trusty
mediawiki-extensions-php55-trusty
mediawiki-phpunit-php55-trusty
mwext-donationinterfacecore-REL1_27-testextension-zend55-trusty
mwext-donationinterfacecore-REL1_27-zend55-trusty
mwext-donationinterfacecore-REL1_28-testextension-zend55-trusty
mwext-donationinterfacecore-REL1_28-zend55-trusty
mwext-testextension-php55-composer-trusty
mwext-testextension-php55-composer-trusty-non-voting
mwext-testextension-php55-trusty
mwext-testextension-php55-trusty-non-voting
mwext-Wikibase-client-tests-mysql-php55-trusty
mwext-Wikibase-client-tests-sqlite-php55-trusty
mwext-Wikibase-repo-tests-sqlite-php55-trusty
mwgate-composer-php55-trusty
phabricator-trusty-commits
phabricator-trusty-diffs
php-compile-php55-trusty
wikimedia-fundraising-crm-composer-php55-trusty

Change 377556 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Migrate phplint jobs to Jessie

https://gerrit.wikimedia.org/r/377556

Change 377556 merged by jenkins-bot:
[integration/config@master] Migrate phplint jobs to Jessie

https://gerrit.wikimedia.org/r/377556

php-compile-php55 is the last job still on Trusty.

Change 377712 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Migrate php-compile-php55 to Jessie

https://gerrit.wikimedia.org/r/377712

Mentioned in SAL (#wikimedia-releng) [2017-09-13T07:40:23Z] <hashar> jenkins: on nodes, removing the labels phpflavor-* they are no more needed - T161882

hashar closed this task as Resolved.Sep 13 2017, 7:44 AM

Change 377712 merged by jenkins-bot:
[integration/config@master] Migrate php-compile-php55 to Jessie

https://gerrit.wikimedia.org/r/377712